
Foreman - Bug #29507

Add puma-status to report puma statusing

04/08/2020 08:46 PM - Suresh Thirugnanasambandan

Status: Closed   

Priority: Normal   

Assignee: Eric Helms   

Category: Packaging   

Target version: 2.5.0   

Difficulty:  Fixed in Releases: 2.5.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/7578,

https://github.com/theforeman/foreman/p

ull/7735,

https://github.com/theforeman/foreman/p

ull/8472

  

Description

Related issues:

Related to Installer - Tracker #28999: Deploy Foreman with Puma as the applic... Closed

Related to Packaging - Feature #29514: package puma-status gem Closed

Associated revisions

Revision 1ef7c82d - 04/27/2021 09:24 AM - Suresh Thirugnanasambandan

Fixes #29507 - Add puma-status for reporting

Revision 5d758b5a - 04/27/2021 02:20 PM - Evgeni Golov

Refs #29507 - use /usr/share/foreman/tmp not /run/foreman

/usr/share/foreman/tmp is a symlink to /run/foreman on EL, and

/var/cache/foreman on Debian

As we create the state file in {Rails.root}/tmp, let's also look for it in {Rails.root}/tmp, and not something it might or might not link to.

History

#1 - 04/08/2020 09:11 PM - Suresh Thirugnanasambandan

- Related to Tracker #28999: Deploy Foreman with Puma as the application server by default added

#2 - 04/08/2020 09:37 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/7578 added

#3 - 06/09/2020 01:45 PM - The Foreman Bot

- Assignee set to Eric Helms

- Pull request https://github.com/theforeman/foreman/pull/7735 added

#4 - 04/15/2021 03:26 PM - Eric Helms

- Target version set to 2.5.0

#5 - 04/27/2021 09:24 AM - The Foreman Bot

- Fixed in Releases 2.5.0 added
#6 - 04/27/2021 10:01 AM - Suresh Thirugnanasambandan

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|1ef7c82d6b4776e70c39435cf0e3243a62c6f6bb.

#7 - 04/27/2021 11:48 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/8472 added

#8 - 05/05/2021 02:32 PM - Tomer Brisker

- Category set to Packaging

#9 - 08/24/2021 09:39 AM - Ewoud Kohl van Wijngaarden

- Related to Feature #29514: package puma-status gem added
